//
//  EMTI_KNearestClassifier.hpp
//  EMTI
//
//  Created by Anders Nikolai Fuglseth on 29.09.15.

#ifndef EMTI_KNearestClassifier_hpp
#define EMTI_KNearestClassifier_hpp

#include <stdio.h>

#include <iostream>

#include <vector>
#include <map>
#include <chrono>

using namespace std;

class EMTI_KNearestClassifier {
public:
    
    EMTI_KNearestClassifier(vector<vector<unsigned>>* trainingSet);
    
    int classify(vector<unsigned>* entry, int k, bool excludeLowSimilarityMeasures = false, bool verbose = false);
    
    virtual vector<pair<int,int>> findKNearestNeighbors(vector<unsigned>* entry, int k);
    
    int compareEntries(int trainingIndex, vector<unsigned>* entry);
    
    
    
    vector<vector<unsigned>>* trainingSet;
    
    int totalSimilarity;
    
private:
    
};

#endif /* EMTI_KNearestClassifier_hpp */
