//
//  ExperimentSuite2.hpp
//  EMTI
//
//  Created by Anders Nikolai Fuglseth 2016.

#ifndef ExperimentSuite2_hpp
#define ExperimentSuite2_hpp


#include <stdio.h>
#include <ctime>

#include "EMTI_Data.hpp"

#include "EMTI_ID3Classifier.hpp"
#include "EMTI_KNearestClassifier.hpp"
#include "EMTI_Population.hpp"
#include "EMTI_PopulationES1.hpp"
#include "EMTI_PopulationES2.hpp"
#include "EMTI_PopulationES3.hpp"

#include "EMTI_TreePruner.hpp"

class Experiment2 {
public:
    
    EMTI_Data* data;
    
    Experiment2 (EMTI_Data* d);
    
    void runCrossvalidation (int n, int folds);
    
private:
    const std::string currentDateTime();
};

#endif /* ExperimentSuite2 */
