//
//  ExperimentSuite7.hpp
//  EMTI
//
//  Created by Anders Nikolai Fuglseth 2016.

#ifndef ExperimentSuite7_hpp
#define ExperimentSuite7_hpp


#include <stdio.h>
#include <ctime>

#include "EMTI_Data.hpp"

#include "EMTI_ID3Classifier.hpp"
#include "EMTI_KNearestClassifier.hpp"
#include "EMTI_Population.hpp"
#include "EMTI_PopulationES1.hpp"
#include "EMTI_PopulationES2.hpp"
#include "EMTI_PopulationES3.hpp"

#include "EMTI_TreePruner.hpp"

#include "EMTI_autoRun.hpp"

class Experiment7 {
public:
    
    EMTI_Data* data;
    
    Experiment7 (EMTI_Data* d);
    
    void runCrossvalidation (int n, int folds);
    
private:
    const std::string currentDateTime();
};

#endif /* ExperimentSuite7 */
