//
//  Flatland.h
//  ANN_Flatland
//
//  Created by aviVidi on 16.04.15.
//  Copyright (c) 2015 Anders Fuglseth. All rights reserved.
//

#ifndef __ANN_Flatland__Flatland__
#define __ANN_Flatland__Flatland__

#include <stdio.h>

#include "GameBoard.h"
#include "Agent.h"


class Flatland {
public:
    
    Flatland (int dimensions, double foodDist, double poisDist);
    
    GameBoard* board;
    
    Agent* agent;
    
    
    void makeRandomBoard (int dimensions, double foodDist, double poisDist);
    
    void setScenario(int scenario);
    
    int randomNumber(int start, int end);
    
};

#endif /* defined(__ANN_Flatland__Flatland__) */
