//
//  EMTI_Population_ID3PopInit.hpp
//  EMTI_0.2_swift
//
//  Created by 2016 Anders Nikolai Fuglseth on 22.04.2016.
//

#ifndef EMTI_Population_ID3PopInit_hpp
#define EMTI_Population_ID3PopInit_hpp

#include <stdio.h>
#include "EMTI_Population.hpp"
#include "EMTI_ID3Classifier.hpp"

class EMTI_Population_ID3PopInit : public EMTI_Population {
public:
    
     EMTI_Population_ID3PopInit (vector<int>* fullAttributeScope, vector<vector<unsigned>>* trainingSet, int maxTreeSize, int populationSize, int treeSize_fitnessWeight, float mutationRate, float crossOverRateParameter, bool exerciseTree, int parentSelectionType, int adultSelectionType, bool verbose = false, bool verboseplus = false, bool writePlotData = false, std::string plotOutputLocation = "", int tournamentSizeParameter = 1, float epsilonParameter = 1, float spiceRatio = 0.1);
    
    float trainingSetRatio = 0.25;
    
private:
    
    void initPopulation();
    
    int random_integer(int start, int end);
    
    vector<vector<unsigned>>* getNewRandomSubset(vector<vector<unsigned>>* set, float size);

};

#endif /* EMTI_Population_ID3PopInit_hpp */
