//
//  ExperimentSuite3.hpp MONKS problems
//  EMTI
//
//  Created by Anders Nikolai Fuglseth 2016.

#ifndef ExperimentSuite3_hpp
#define ExperimentSuite3_hpp

#include <stdio.h>
#include <ctime>

#include "EMTI_Data.hpp"

#include "EMTI_ID3Classifier.hpp"
#include "EMTI_KNearestClassifier.hpp"
#include "EMTI_Population.hpp"

#include "EMTI_PopulationES1.hpp"
#include "EMTI_PopulationES2.hpp"
#include "EMTI_PopulationES3.hpp"

#include "EMTI_TreePruner.hpp"

class Experiment3 {
public:
    
    EMTI_Data* traindata;
    
    EMTI_Data* testdata;
    
    Experiment3 ();
    
    void run (int n);
    
private:
    const std::string currentDateTime();
};

#endif /* ExperimentSuite3 */
