//
//  ExperimentSuite5_pruning.hpp MONKS problems
//  EMTI
//
//  Created by Anders Nikolai Fuglseth 2016.

#ifndef ExperimentSuite5_pruning_hpp
#define ExperimentSuite5_pruning_hpp

#include <stdio.h>
#include <ctime>

#include "EMTI_Data.hpp"

#include "EMTI_ID3Classifier.hpp"
#include "EMTI_KNearestClassifier.hpp"
#include "EMTI_Population.hpp"

#include "EMTI_PopulationES1.hpp"
#include "EMTI_PopulationES2.hpp"
#include "EMTI_PopulationES3.hpp"

#include "EMTI_TreePruner.hpp"

class Experiment5 {
public:
    
    EMTI_Data* traindata;
    
    EMTI_Data* testdata;
    
    Experiment5 ();
    
    void run (int n);
    
private:
    const std::string currentDateTime();
};

#endif /* ExperimentSuite5_pruning */
