//
//  ExperimentSuite6_pruning.hpp
//  EMTI
//
//  Created by Anders Nikolai Fuglseth 2016.

#ifndef ExperimentSuite6_pruning_hpp
#define ExperimentSuite6_pruning_hpp


#include <stdio.h>
#include <ctime>

#include "EMTI_Data.hpp"

#include "EMTI_ID3Classifier.hpp"
#include "EMTI_KNearestClassifier.hpp"
#include "EMTI_Population.hpp"

#include "EMTI_Treepruner.hpp"



class Experiment6 {
public:
    
    EMTI_Data* data;
    
    Experiment6 (EMTI_Data* d);
    
    void runCrossvalidation (int n, int folds);
    
private:
    const std::string currentDateTime();
    
    vector<vector<unsigned>>* getNewDataSubset(vector<vector<unsigned>>* dataSet, double start, double end);
};

#endif /* ExperimentSuite6_pruning */
